Bug 36437 - ipv6 enhancements: 6to4, iproute tunneling, etc.
ipv6 enhancements: 6to4, iproute tunneling, etc.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-18 05:44 EDT by Pekka Savola
Modified: 2014-03-16 22:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-28 03:13:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
current ipv6 initscripts diffs (57.99 KB, patch)
2001-04-18 05:45 EDT, Pekka Savola
no flags Details | Diff
the latest version of the diff, for reference (82.67 KB, patch)
2001-06-28 03:13 EDT, Pekka Savola
no flags Details | Diff

  None (edit)
Description Pekka Savola 2001-04-18 05:44:14 EDT
Several IPv6 upgrades have been pending for a while now, so here goes.

Major enhancements:
 * 6to4 automatic tunneling supported (with this, anyone can connect to
ipv6 internet
without tunnel brokers like freenet6.net, and connect their LAN too!)
 * way of dynamically configuring obtained 6to4 prefix (dynamic IP's) and
advertising it in
LAN with radvd (ip-{up,down].ipv6to4).
 * iproute is used for building tunnels instead of ifconfig (with ifconfig,
all tunnels had to illogically use "virtual" interface sit0; among other
things)

Cleanups:
 * IPV6INIT is not checked at shutdown (so you can actually disable
interfaces too)
 * Tighter IPv6 forwarding requirements
 * bash semantics: 'function xxx() {}' -> 'xxx() {}'
 * bash: use 'local' in some variables for not to pollute namespace
 * disable loopback special casing.
 * separate functions for address validity checks
 * sure forgot some...

Of course, also includes updates howto's and documentation changes.
 * remove debugging 'usage' functions.
 
At the moment, only bigger open issue is integrating 'ipv6calc' utility in
initscripts
too.

Diff attached.  .src.rpm is also available at
http://www.netcore.fi/pekkas/linux/ipv6/.

Comments on the approach etc. welcome. :-)
Comment 1 Pekka Savola 2001-04-18 05:45:21 EDT
Created attachment 15624 [details]
current ipv6 initscripts diffs
Comment 2 Daniel Roesen 2001-04-18 07:04:26 EDT
I hope I get some time next week to look at your modifications. Thanks for your
work! My new "homebase" which will get a IPv6 tunnel is RH 7.1 so this is a good
test base. :->
Comment 3 Pekka Savola 2001-06-28 03:13:10 EDT
Created attachment 22026 [details]
the latest version of the diff, for reference
Comment 4 Bill Nottingham 2001-07-11 01:23:36 EDT
Added in 6.02-1, thanks!

Note You need to log in before you can comment on or make changes to this bug.